Subject: strange effect with WU-FTPD on Ultrix [1073]

From: Gerhard Gonter <[email-masked]>
Date: Tue, 10 Jan 1995 17:16:18 +0100 (MET)

I just noticed a rather strange effect with WU-FTPD (Version wu-2.4(16))
on an Ultrix 4.3A machine with AFS 3.3A where an anonymous ftp server
is set up in the AFS filetree:

If a user starts an anonymous ftp connection and changes directories, all
is usually fine and works exactly as expect.  Sometimes a cd changes the
work directory to "/".  But this "/" is *NOT* the chroot'ed home of ftp,
it is the 'real' root directory, complete with kernel binaries and etc
subdirectory!

Has anybody seen this rather alarming effect before or has an idea,
how to fix that?

Thank you.

+gg
 
--
[email-masked]     Fax: +43/1/31336/702     [email-masked]